/*
  * Copyright 2013  Samsung Electronics Co., Ltd
  *
  * Licensed under the Flora License, Version 1.1 (the "License");
  * you may not use this file except in compliance with the License.
  * You may obtain a copy of the License at
  *
  *     http://floralicense.org/license/
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
  */
/**
 * @file    menu_data.h
 * @author  Leerang Song (leerang.song@samsung.com)
 */


#ifndef WEBAPP_DETAIL_MENU_DATA_H_
#define WEBAPP_DETAIL_MENU_DATA_H_

#include <string>
#include <Elementary.h>

namespace WebAppDetailSetting {
namespace ElmPart {
const std::string TEXT1 = "elm.text.1";
const std::string TEXT2 = "elm.text.2";
const std::string ICON1 = "elm.icon.1";
const std::string ICON2 = "elm.icon.2";
} // namespace ElmPart

class GenlistData {
  public:
    unsigned int index;
    bool check;
    Elm_Object_Item* item;

    void* data;
    GenlistData(unsigned i, void* d);
    virtual ~GenlistData();
};

class ToolbarData {
  public:
    unsigned int index;
    void* data;
    ToolbarData(unsigned i, void* d);
    virtual ~ToolbarData();
};
} // namespace WebAppDetailSetting

#endif // WEBAPP_DETAIL_MENU_DATA_H_
