/*
  * Copyright 2012  Samsung Electronics Co., Ltd
  *
  * Licensed under the Flora License, Version 1.1 (the "License");
  * you may not use this file except in compliance with the License.
  * You may obtain a copy of the License at
  *
  *     http://floralicense.org/license/
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
  */

#ifndef WEBAPP_DETAIL_UTIL_H_
#define WEBAPP_DETAIL_UTIL_H_

#include <dlog.h>

#define UNUSED_PARAM(expr) (void)(expr)
#define COLOR_ERROR   "\e[1;31m"
#define COLOR_WARNING "\e[2;31m"
#define COLOR_TAG     "\e[1;32m"
#define COLOR_END     "\e[0m"

#undef LOG_TAG
#define LOG_TAG "WRT-SETTING"

#ifndef SECURE_LOGD
#define SECURE_LOGD(fmt, arg...) LOGD(fmt,##arg)
#endif

#ifndef SECURE_LOGW
#define SECURE_LOGW(fmt, arg...) LOGW(fmt,##arg)
#endif

#ifndef SECURE_LOGE
#define SECURE_LOGE(fmt, arg...) LOGE(fmt,##arg)
#endif

#define _D(fmt, arg ...) SECURE_LOGD(COLOR_TAG fmt COLOR_END,##arg)
#define _W(fmt, arg ...) SECURE_LOGW(COLOR_WARNING fmt COLOR_END,##arg)
#define _E(fmt, arg ...) SECURE_LOGE(COLOR_ERROR fmt COLOR_END,##arg)

#endif // WEBAPP_DETAIL_UTIL_H_
